;;;; run.scm - run tests for typed-records.scm


(use setup-api test)

(test-group "interpreted"
  (run (csi -s t.scm)))

(when (version>=? (chicken-version) "4.7.5")
  (test-group "compiled with specialization"
    (compile -s -specialize t.scm)
    (load "t.so")))

(test-group "compiled without specialization"
  (compile -s t.scm -o t2.so)
  (load "t2.so"))

(test-exit)
